{
  ...
}:

{
  programs.waybar = {
    enable = true;
    settings = [
      {
        layer = "top";
        position = "top";
        height = 30;
        margin = "10 20 0 20";
        spacing = 10;

        modules-left = [
          "hyprland/workspaces"
        ];
        modules-center = [
          "hyprland/window"
        ];
        modules-right = [
          "disk"
          "cpu"
          "memory"
          "privacy"
          "clock"
        ];

        clock = {
          format = "{:%I:%M %p}";
        };

        disk = {
          format = "{free}";
          path = "/";
        };

        privacy = {
          modules = [
            {
              type = "screenshare";
            }
            {
              type = "audio-in";
            }
          ];
        };
      }
    ];
    style = ./waybar.css;
    systemd.enable = true;
  };
}
